Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.sgtsvx

scipy.linalg.lapack.sgtsvx(dl, d, du, b[, fact, trans, dlf, df, duf, du2, ipiv]) = <fortran function sgtsvx>

  Wrapper for `sgtsvx`.

  Parameters:
    dl input rank-1 array(‘f’) with bounds (MAX(0, -1 + n))
    d input rank-1 array(‘f’) with bounds (n)
    du input rank-1 array(‘f’) with bounds (MAX(0, -1 + n))
    b input rank-2 array(‘f’) with bounds (ldb,nrhs)
  Returns:
    dlf rank-1 array(‘f’) with bounds (MAX(0, -1 + n))
    df rank-1 array(‘f’) with bounds (n)
    duf rank-1 array(‘f’) with bounds (MAX(0, -1 + n))
    du2 rank-1 array(‘f’) with bounds (MAX(0, -2 + n))
    ipiv rank-1 array(‘i’) with bounds (n)
    x rank-2 array(‘f’) with bounds (ldx,nrhs)
    rcond float
    ferr rank-1 array(‘f’) with bounds (nrhs)
    berr rank-1 array(‘f’) with bounds (nrhs)
    info int
  Other Parameters:
    fact input bytes, optional

      Default: ‘N’

    trans input bytes, optional

      Default: ‘N’

    dlf input rank-1 array(‘f’) with bounds (MAX(0, -1 + n))
    df input rank-1 array(‘f’) with bounds (n)
    duf input rank-1 array(‘f’) with bounds (MAX(0, -1 + n))
    du2 input rank-1 array(‘f’) with bounds (MAX(0, -2 + n))
    ipiv input rank-1 array(‘i’) with bounds (n)